﻿// Contains types that are common among RF Toolkits and Modular Instruments wrappers.
using System;
using System.Runtime.InteropServices;

namespace NationalInstruments.ModularInstruments.Interop
{
    [StructLayout(System.Runtime.InteropServices.LayoutKind.Sequential, Pack = 8)]
    public struct niComplexNumber
    {

        public double Real;

        public double Imaginary;

    }

    [StructLayout(System.Runtime.InteropServices.LayoutKind.Sequential, Pack = 8)]
    public struct niComplexI16
    {

        public short Real;

        public short Imaginary;

    }

    [StructLayout(System.Runtime.InteropServices.LayoutKind.Sequential, Pack = 8)]
    public struct niComplexNumberF32
    {

        public float Real;

        public float Imaginary;

    }

    [StructLayout(System.Runtime.InteropServices.LayoutKind.Sequential, Pack = 8)]
    [Obsolete("This struct is obsolete. Use struct niComplexNumberF32.")]
    public struct niComplexF32
    {

        public float Real;

        public float Imaginary;

    }
}
